Signatures

Template Get

GET
/signatures/template/{templateId}/get

Retrieves details of a specific template.

  • The template is identified using the templateId path parameter.
  • Only templates accessible to the authenticated user are returned.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Path Parameters

templateId*string

The ID of the needed template.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/signatures/template/string/get"
{  "result": {    "statusCode": 200,    "message": "OK",    "data": {      "template": {        "id": "3d8f0a04-4df1-4faf-9748-7fa635e60912",        "createdBy": {          "id": "02654f7f-dce0-40cc-b6ca-f3a2778ddc84",          "name": "Jane Doe",          "email": "name@example.com"        },        "uploadDate": "string",        "sendDate": "string",        "status": "Completed",        "subject": "Please review and sign",        "message": "Thank you for completing this document.",        "isSignOrder": true,        "expireInDays": 0,        "firstReminderDays": 0,        "repeatingReminderDays": 0,        "notifyWhenOpened": true,        "notifyWhenSigned": true,        "alertDaysBeforeExpiry": 0,        "templateName": "Sales Agreement Template",        "templateDescription": "Standard sales agreement template",        "folderId": "5e556a4b-e4c0-4b1d-9b10-37c223d5bb06",        "folderName": "Contracts",        "locale": "en-GB",        "Timezone": "string"      },      "documents": [        {          "id": "4cf2187e-2014-46c2-8da7-042b07b21d53",          "name": "NDA Agreement.pdf",          "externalContext": {}        }      ],      "recipients": [        {          "id": "8103d9f0-08f1-4534-8c5a-7145740f6b9a",          "name": "Alex Johnson",          "email": "name@example.com",          "role": "signer",          "status": "Signed",          "signDate": "string",          "signOrder": 0,          "signGroupId": "d4818fb5-2ecf-46cc-8d8d-18510ea9ddbe",          "userId": "b79efee8-3d2f-40d9-85b2-525cfcbd23cd",          "mandatory": true,          "isMFAEnabled": true,          "phoneNumber": "+1-555-0100",          "hostEmail": "name@example.com",          "templateRole": "Buyer",          "externalContext": {}        }      ],      "signGroups": [        {          "id": "dc4dc0aa-1900-45f7-b729-ad156a18477c",          "name": "John Smith",          "role": "signer",          "status": "Completed",          "signOrder": 0,          "mandatory": true,          "templateRole": "Buyer"        }      ],      "fields": [        {          "id": "73e45a8d-2ef1-4641-bbdf-598e739312a8",          "name": "Signature Field",          "recipientId": "b2567efe-f01d-4dfc-84f5-ead86a56da35",          "signGroupId": "f2846898-4ce5-4872-98e0-1f0ec913c11a",          "documentId": "622513ab-42eb-43ad-8efd-99f87849aa33",          "type": "signature",          "value": "Jane Doe",          "page": 0,          "height": 0,          "width": 0,          "positionX": 0,          "positionY": 0,          "isRequired": true,          "properties": {            "fontFamily": "Helvetica",            "fontSize": 0,            "color": "#1a1a1a",            "bold": true,            "italic": true,            "underline": true,            "textAlign": "center",            "placeholder": "Enter your full name",            "isSignedDate": true,            "selectionGroup": "group2",            "selectionValue": "Option B"          }        }      ],      "externalContext": {}    }  },  "origin": "GET https://api.doctavian.com/v1/signatures/template/{templateId}/get",  "dateTime": "2026-07-20T12:00:00.000Z",  "userId": "7f43bf45-0407-4cc2-abfb-e6d7120808fc"}
{  "error": {    "message": "Envelope not found.",    "statusCode": 400,    "innerErrors": [      {        "code": "ENVELOPE_ID_INVALID",        "message": "Envelope not found.",        "userMessage": "Envelope not found."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/signatures/template/{templateId}/get",  "dateTime": "2026-07-20T12:00:00.000Z",  "userId": "4e135a1a-7923-45e9-9e60-ff606568a64d",  "operationId": "0cc9c3057ab4263251d80b39d0c2378c"}
{  "error": {    "message": "Envelope not found.",    "statusCode": 500,    "innerErrors": [      {        "code": "ENVELOPE_ID_INVALID",        "message": "Envelope not found.",        "userMessage": "Envelope not found."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/signatures/template/{templateId}/get",  "dateTime": "2026-07-20T12:00:00.000Z",  "userId": "83bd7756-0a14-40ab-ae85-14fcae9c897c",  "operationId": "0cbe87a06e9c3bedee86fc8332dafe17"}